सामग्री पर जाएँ

Kotoba Text-to-Speech

इंटीग्रेट करें

मॉडल id kotoba-technologies/kotoba-tts/v2/tts/ws
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kotoba-technologies/kotoba-tts/v2/tts/ws?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Hello from Doitong. This is a short test sentence.",
    "language": "ja",
    "speaker_id": "male-01"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.003 3 API क्रेडिट · ≈ ₽0.32 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Kotoba Technologies टेक्स्ट से स्पीच #commercial-use#text-to-speech#japanese#streaming

निर्माण के दौरान स्ट्रीम किया गया जापानी text-to-speech, दो आवाज़ों और WAV आउटपुट के साथ

Kotoba Technologies · ऑडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक 50 / 400

जापानी भाषण इनपुट टेक्स्ट, 400 वर्णों तक सीमित।

language •आवश्यक

टेक्स्ट में उपयोग की जाने वाली भाषा।

speaker_id •आवश्यक

आवाज़ का चयन।

POST /run/kotoba-technologies/kotoba-tts/v2/tts/ws?wait=20 कोटेशन → $0.003
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kotoba-technologies/kotoba-tts/v2/tts/ws?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Hello from Doitong. This is a short test sentence.",
    "language": "ja",
    "speaker_id": "male-01"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Kotoba Text-to-Speech के बारे में

अधिकतम 400 वर्णों वाले जापानी `text` को बोलता है, जिसमें `language` ja पर निश्चित है। `speaker_id` के ज़रिए आवाज़ चुनें: male-01 या female-01। आउटपुट 24 kHz mono, 16-bit की WAV फ़ाइल, साथ में सेकंड में अवधि और संश्लेषित टेक्स्ट होता है। ऑडियो निर्माण के दौरान स्ट्रीम किया जाता है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
textआवश्यक
प्रकारstring
≤ 400 अक्षर
जापानी भाषण इनपुट टेक्स्ट, 400 वर्णों तक सीमित।
languageआवश्यक
प्रकारenum
ja
टेक्स्ट में उपयोग की जाने वाली भाषा।
speaker_idआवश्यक
प्रकारenum
male-01female-01
आवाज़ का चयन।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kotoba-technologies/kotoba-tts/v2/tts/ws",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 3,
    "usd": "0.003",
    "charged": 3,
    "refunded": 0
  },
  "input": {
    "text": "Hello from Doitong. This is a short test sentence.",
    "language": "ja",
    "speaker_id": "male-01"
  },
  "output": {
    "audio": {
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200,
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3"
    },
    "audio_duration_secs": 1.0,
    "text": "string"
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
audio
object {content_type, file_name, file_size, url}24 kHz और 16-bit डेप्थ वाले मोनो ऑडियो के साथ WAV फ़ॉर्मैट में संश्लेषित भाषण फ़ाइल का लिंक।
audio_duration_secs
numberसंश्लेषित ऑडियो की अवधि सेकंड में।
text
stringभाषण संश्लेषित करने के लिए उपयोग किया जाने वाला टेक्स्ट।

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/kotoba-technologies/kotoba-tts/v2/tts/ws.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt